# __gnu_parallel::accumulate_selector< It > Struct Template Reference

Inheritance diagram for __gnu_parallel::accumulate_selector< It >:

List of all members.

## Detailed Description

### template<typename It>
struct __gnu_parallel::accumulate_selector< It >

std::accumulate() selector.

Definition at line 216 of file for_each_selectors.h.

## Public Member Functions

- template<typename Op> std::iterator_traits< It
  >::value_type operator() (Op o, It i)

## Public Attributes

- It finish_iterator

## Member Function Documentation

template<typename It>
template<typename Op>

std::iterator_traits<It>::value_type __gnu_parallel::accumulate_selector< It >::operator() | ( | Op | o,
|  | It | i |
| ) |  |  | `[inline]`

Functor execution.

Parameters:

  | o | Operator (unused).
  | i | Iterator referencing object.

Returns:
  The current value.

Definition at line 223 of file for_each_selectors.h.

## Member Data Documentation

template<typename It>

It __gnu_parallel::generic_for_each_selector< It >::finish_iterator `[inherited]`

Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 54 of file for_each_selectors.h.

Referenced by std::__parallel::adjacent_difference_switch(), std::__parallel::transform1_switch(), and std::__parallel::transform2_switch().

The documentation for this struct was generated from the following file:

- for_each_selectors.h